package fr.diwaly.minicraft;

import org.bukkit.Material;
import org.bukkit.World;
import org.bukkit.block.Block;
import org.bukkit.block.BlockFace;

public class Build {

	// Insert des bloc  l'intrieur et l'extremit
	static public void RECTANGLE(Block ref, BlockFace horx, BlockFace vert, BlockFace horz, int length, int height, int width, Material inside, Material extrem){	
		for(int i = 0 ; i < length ; i++){
			Block x = ref.getRelative(horx, i);
			for(int j = 0 ; j < height ; j++){
				Block y = x.getRelative(vert, j);
				for(int k = 0 ; k < width ; k++){
					Block z = y.getRelative(horz, k);
					if(i == 0 || j == 0 || k == 0 || i == length-1 || j == height-1 || k == width-1){
						z.setType(extrem);
					}else{
						z.setType(inside);
					}
				}
			}
		}	
	}
	
	// Insert des bloc qu'aux extremit
	static public void RECTANGLE(Block ref, BlockFace horx, BlockFace vert, BlockFace horz, int length, int height, int width, Material extrem){	
		for(int i = 0 ; i < length ; i++){
			Block x = ref.getRelative(horx, i);
			for(int j = 0 ; j < height ; j++){
				Block y = x.getRelative(vert, j);
				for(int k = 0 ; k < width ; k++){
					Block z = y.getRelative(horz, k);
					if(i == 0 || j == 0 || k == 0 || i == length-1 || j == height-1 || k == width-1){
						z.setType(extrem);
					}
				}
			}
		}	
	}
	
	// Insert des bloc du volcan
	static public void RECTANGLE(World w, int x, int y, int z, int length, int height, int width, MiniVolcano v){
		for(int i = 0 ; i < length ; i++){
			for(int j = 0 ; j < height ; j++){
				for(int k = 0 ; k < width ; k++){
					Block block = w.getBlockAt(x+i, y+j, z+k);
					block.setType(v.randomBlock(v.getLayer(x+i, y+i, z+i)));
				}
			}
		}	
	}	
	
	static public void CIRCLE(World w, int x, int y, int z,int radius){
		
	}
	
}
