package fr.diwaly.minicraft;

import org.bukkit.Material;
import org.bukkit.block.Block;
import org.bukkit.block.BlockFace;

public class GenEnterTunnel extends AbstractGen{
		
	public GenEnterTunnel(Block ref,  BlockFace faceX, BlockFace faceY,  BlockFace faceZ) {
		super(ref, faceX, faceY, faceZ);
	}	
	
	public void init(){
		Block r = ref.getRelative(faceX.getOppositeFace(),10).getRelative(faceZ.getOppositeFace());
		Build.RECTANGLE(r, faceX, faceY, faceZ, 11, 5, 5, Material.AIR, Material.MOSSY_COBBLESTONE);
	}
	
	public void clean(){
		Block r = ref.getRelative(faceX.getOppositeFace(),10).getRelative(faceZ.getOppositeFace());
		Build.RECTANGLE(r, faceX, faceY, faceZ, 11, 5, 5, Material.AIR, Material.AIR);
		r = r.getRelative(faceY, 4);
		Build.RECTANGLE(r, faceX, faceY, faceZ, 11, 1, 5, Material.AIR, Material.LAVA);
	}
}
