package fr.diwaly.minicraft.volcano;

import java.util.Random;


public class VolcanoErupt implements Runnable{

	static final int CHECK = 0;
	static final int ERUPT = 1;
	int state;
	int taskId;
	Volcano volcano;

	public VolcanoErupt (Volcano volcano, int state){
		this.volcano = volcano;
		this.state = state;
		if(state == CHECK){
			taskId = Plugin.server.getScheduler().scheduleAsyncRepeatingTask(Plugin.it,this,new Random().nextInt(150)+50,150);
		}
	}
	
	@Override
	public void run() {
		if(state == CHECK){
			if(volcano.explosive && volcano.erupt && volcano.enable && volcano.inEruption())
				taskId = Plugin.server.getScheduler().scheduleSyncDelayedTask(Plugin.it, new VolcanoErupt(volcano, ERUPT));
		}else if(state == ERUPT){
			volcano.setEruption();
		}	
	}	
}
