package fr.diwaly.minicraft;

import org.bukkit.block.Block;
import org.bukkit.block.BlockFace;

public abstract class AbstractGen {

	protected Block ref;
	protected BlockFace faceX;
	protected BlockFace faceY;
	protected BlockFace faceZ;
	
	public AbstractGen(Block ref,  BlockFace faceX, BlockFace faceY,  BlockFace faceZ) {
		this.ref = ref;
		this.faceX = faceX;
		this.faceY = faceY;
		this.faceZ = faceZ;
	}
	
	public abstract void init();
	public abstract void clean();
}
