package fr.diwaly.minicraft;

import org.bukkit.Material;
import org.bukkit.block.Block;
import org.bukkit.block.BlockFace;

public class GenTrap extends AbstractGen{

	Block bas;
	
	public GenTrap(Block ref,  BlockFace faceX, BlockFace faceY,  BlockFace faceZ) {
		super(ref, faceX, faceY, faceZ);
		bas = ref.getRelative(faceY.getOppositeFace(), 30);
	}

	public void init() {
		// coque
		Build.RECTANGLE(ref, faceX, faceY.getOppositeFace(), faceZ, 12, 30, 9, Material.BEDROCK);
		Block block = ref.getRelative(faceX).getRelative(faceZ);
		Build.RECTANGLE(block, faceX, faceY.getOppositeFace(), faceZ, 10, 29, 7, Material.AIR, Material.MOSSY_COBBLESTONE); 
		// Rectangle du bas
		Block piece = bas.getRelative(faceX.getOppositeFace(), 5).getRelative(faceZ.getOppositeFace(), 5);
		Build.RECTANGLE(piece, faceX, faceY.getOppositeFace(), faceZ, 22, 6, 19, Material.AIR, Material.MOSSY_COBBLESTONE);
	}

	public void clean() {
		// coque
		Build.RECTANGLE(ref, faceX, faceY.getOppositeFace(), faceZ, 12, 30, 9, Material.MOSSY_COBBLESTONE);
		// ouvrir la trappe en bas
		Block bas2 = bas.getRelative(faceX).getRelative(faceZ);
		Build.RECTANGLE(bas2, faceX, faceY, faceZ, 10, 3, 7, Material.AIR, Material.AIR);	
	}
	
	public void ifGoodKarma(boolean karma){
		Block sol = bas.getRelative(faceY.getOppositeFace(), 4);
		Block sol2 = sol.getRelative(faceX).getRelative(faceZ);
		Build.RECTANGLE(sol2, faceX, faceY.getOppositeFace(), faceZ, 10, 1, 7,Material.MOSSY_COBBLESTONE);
		if(karma){
			Block sol3 = sol2.getRelative(faceX).getRelative(faceZ);
			Build.RECTANGLE(sol3, faceX, faceY.getOppositeFace(), faceZ, 8, 1, 5, Material.WATER, Material.WATER);
		}
	}
}
