package fr.diwaly.minicraft;

import org.bukkit.event.Event;
import org.bukkit.event.player.PlayerInteractEvent;
import org.bukkit.event.player.PlayerJoinEvent;
import org.bukkit.event.player.PlayerListener;
import org.bukkit.event.player.PlayerLoginEvent;
import org.bukkit.event.player.PlayerMoveEvent;
import org.bukkit.event.player.PlayerRespawnEvent;
import org.bukkit.plugin.PluginManager;

public class MiniListenPlayer extends PlayerListener{

	public MiniListenPlayer() {
		PluginManager pm = Plugin.server.getPluginManager();
		pm.registerEvent(Event.Type.PLAYER_MOVE, this, Event.Priority.Normal, Plugin.him);
		pm.registerEvent(Event.Type.PLAYER_INTERACT, this, Event.Priority.Normal, Plugin.him);
		pm.registerEvent(Event.Type.PLAYER_LOGIN, this, Event.Priority.Normal, Plugin.him);
		pm.registerEvent(Event.Type.PLAYER_JOIN, this, Event.Priority.Normal, Plugin.him);
		pm.registerEvent(Event.Type.PLAYER_RESPAWN, this, Event.Priority.Normal, Plugin.him);
	}
	
	public void onPlayerInteract(PlayerInteractEvent event) {
		MiniSkills.onPlayerInteract(event);
		SpongeRob.onPlayerInteract(event);
	}
	
	public void onPlayerMove(PlayerMoveEvent event) {
		MiniSkills.onPlayerMove(event);
	}
	
	public void onPlayerLogin(PlayerLoginEvent event) {
		MiniPlayer.onPlayerLogin(event.getPlayer());
	}
	
	public void onPlayerJoin(PlayerJoinEvent event) {
		MiniPlayer.onPlayerLogin(event.getPlayer());
	}

	public void onPlayerRespawn(PlayerRespawnEvent event) {
		MiniPlayer.onPlayerRespawn(event);
	}
}
