package fr.diwaly.minicraft;


import java.io.File;

import org.bukkit.World;
import org.bukkit.plugin.java.JavaPlugin;

import fr.diwaly.minicraft.volcano.Volcano;

public class PluginVolcano extends fr.diwaly.minicraft.volcano.Plugin{
	
	public PluginVolcano(Plugin plugin) {
		super();
		tag = Plugin.tag;
	}

	static public MiniVolcano giveVolcano(String name){
		for (Volcano volcano : listVolcano) {
			if(volcano.name.equals(name))
				return (MiniVolcano)volcano;
		}
		return null;
	}
	
	static public MiniVolcano giveWorldVolcano(World w){
		for (Volcano v : listVolcano) {
			if(v.world.getName().equals(w.getName()))
				return (MiniVolcano) v;
		}
		return null;
	}
	
	@SuppressWarnings("static-access")
	public File getDataFolder(){
		return new File(Plugin.him.dataFolder,"volcano");
	}
	
	public void logDescription(){

	}
	
	public MiniVolcano newVolcano(File file){
		return new MiniVolcano(file);
	}
	
	public MiniVolcano newVolcano(World world, String name, int maxY, int x, int y, int z){
		return new MiniVolcano(world, name, maxY, x, y, z);
	}

	public JavaPlugin getThis(){
		return Plugin.him;
	}
	
}
