package fr.diwaly.minicraft.volcano;

import org.bukkit.Location;
import org.bukkit.entity.Player;


public class VolcanoActive implements Runnable{

	int taskId;
	boolean start = true;
	private Plugin plugin;
	
	public VolcanoActive(Plugin plugin){
		// Dmarre en 1er
		taskId = Plugin.server.getScheduler().scheduleAsyncRepeatingTask(Plugin.it,this,10,300);
		this.plugin = plugin;
	}
	
	@Override
	public void run() {
		// Permet de load les volcans de different monde
		if(start){
			plugin.load();
			start = false;
		}
		
		boolean enable;
		boolean erupt;
		try{
			for (Volcano volcano : Plugin.listVolcano) {
				if(volcano.isStart()){
					enable = false;
					erupt = false;
					for(Player player : Plugin.server.getWorld(volcano.world.getName()).getPlayers()){
						Location loc = player.getLocation();
						if(volcano.inZoneActiv(loc.getBlockX(), loc.getBlockZ())){
							enable = true;
							if(volcano.insideChunk(loc.getBlockX(), loc.getBlockZ())){
								erupt = true;
							}
							break;
						}
					}
					volcano.enable = enable;
					volcano.erupt = erupt;
				}
			}
		}catch(Exception e){
			Plugin.log("Error Thread Active: "+e.getMessage());
		}
	}
}
